Change document protection

Applies protection to, or removes it from, one or more documents fetched from one or more sources.
Generated documents can be delivered to one or more destinations.

EXAMPLE I: Apply an edit restriction to Word documents stored on the Conga Revenue Lifecycle Platform.

Request:
        
POST /documents/protect
{
    "documents": [
        {
            "id": "420326c7-aaa4-4598-a072-48e8cbbe442d"
        },
        {
            "id": "b04393b5-16c2-4364-9ea3-a3d3c38453e1"
        }
    ],
    "wordProtectionConfig": {
        "RestrictionType": 3, // NoProtection -> -1 | AllowOnlyRevisions -> 0 | AllowOnlyComments -> 1 | AllowOnlyFormFields -> 2
        "restrictionPassword": "Your password goes here"
    }
}
        
Response:
{
    "job": {
        "status": 0,
        "errorReason": null,
        "id": "64d30d4a-5c89-4d9f-a5c8-b8453af5c280",
        "createdDate": "2023-07-15T12:41:27.1363101Z",
    },
    "success": true,
    "statusCode": 202,
    "message": "Successfully queued the request"
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
request
object

Protect request

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json